%define upstream_name  	    Search-Indexer
%define upstream_version 0.79

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Full-text indexer
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BerkeleyDB) >= 0.220.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Search::QueryParser) >= 0.910.0
BuildArch:  noarch

%description
This module provides support for indexing a collection of documents, for
searching the collection, and displaying the sorted results, together with
contextual excerpts of the original document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.790.0-3.mga8
+ Revision: 1506178
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.790.0-2.mga7
+ Revision: 1285981
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 0.790.0-1.mga7
+ Revision: 1233672
- update to 0.79

* Sun Jun 19 2016 pterjan <pterjan> 0.780.0-2.mga6
+ Revision: 1033018
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.780.0-1.mga6
+ Revision: 1002293
- update to 0.78

* Mon Feb 08 2016 umeabot <umeabot> 0.770.0-6.mga6
+ Revision: 947774
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-5.mga5
+ Revision: 741096
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.770.0-4.mga5
+ Revision: 727725
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-3.mga5
+ Revision: 686179
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.770.0-2.mga4
+ Revision: 527296
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.770.0-1.mga4
+ Revision: 439860
- update to 0.77

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-3.mga3
+ Revision: 372555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.760.0-2.mga1
+ Revision: 23910
- cleaning spec file
- imported package perl-Search-Indexer

